blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
d0d4ab3d42fa099887b5c4a0f70fda748151e867 | 17 | echo "I am v663"
|
bab5d4f169611e1a366e0f65589e7b9ddc53bf46 | 300 | gnome-terminal --tab -e 'bash -c "roscore; exec bash"' \
--tab -e 'bash -c "sleep 3;roslaunch swarm_control swarm0.launch; exec bash"' \
--tab -e 'bash -c "sleep 3;roslaunch swarm_control swarm1.launch; exec bash"' \
--tab -e 'bash -c "sleep 3;roslaunch swarm_control swarm2.launch; exec bash"' \
|
cf3da135213265c9b8485f1416084060ec10eb05 | 3,168 | #!/bin/bash
# Roku management script
host="192.168.1.65"
# Get active app
getactive() {
# Args: none
# Output: active roku app
wget -q -O - http://$host:8060/query/active-app
}
getinstalled() {
# Args: none
# Output: list of installed apps
wget -q -O - http://$host:8060/query/apps
}
getinfo() {
# Args: none
... |
ba8ee50dd73720bb890aa20d367d1b1e8c524772 | 5,749 | #!/usr/bin/sh
psfile=a.ps
#psbasemap -R-2/2/-12/6 -JX6i/1i -Bf1S -Y4i -K -P --BASEMAP_TYPE=graph > a.ps
#psbasemap -R -JX1i/3i -Bf3W -Y-2i -X3i -K -P -O --BASEMAP_TYPE=graph >> a.ps
#psbasemap -R0/2/-12/6 -JX3i/3i -Bg0.1/g1W -K -P -O --BASEMAP_TYPE=plain >> a.ps
#psbasemap -R-2... |
f877b982d921abca668060711796547bd8a1663d | 321 | R --vanilla --slave --args $1 $2 $3 $4 $5 $6 $7 $8 $9 ${10} ${11} < /HOME/galaxy/galaxy-dist/tools/MiClip/MiClip.R > dump
if [ -f ${__tool_data_path__}clusters.csv ]
then
zip temp ${__tool_data_path__}log.txt
zip temp ${__tool_data_path__}*.csv
mv ${__tool_data_path__}temp.zip ${12}
else
cat dump >&2
fi
... |
46c8501870b4edbcfec537e8e62123e3a08c7b16 | 245 | #!/bin/bash
platex report.tex && bibtex report && dvipdfm report.dvi && makeindex report.nlo -s nomencl.ist -o report.nls && platex report.tex && dvipdfm report.dvi && bibtex report && platex report.tex && dvipdfm report.dvi && open report.pdf
|
f42b1147836bcef711bb4ebafb7a2b88e4dd2809 | 284 | #!/bin/bash
#SBATCH --output=quick_py.txt
#SBATCH --mem=8g
cp sort.py $PFSDIR/.
cp plot_png.py $PFSDIR/.
cd $PFSDIR
module load intel
module load python
python sort.py 1000000
python plot_png.py sortPythonQuick.csv
cp -u *.csv $SLURM_SUBMIT_DIR/.
cp -u *.png $SLURM_SUBMIT_DIR/. |
5ee22e3fcec5abff1a924efcf55ed213d291f8a1 | 907 | #! /usr/bin/env bash
set -euo pipefail
main() {
mkdir -p "$HOME/install"
cd "$HOME/install"
if [[ ! -f 'Anaconda3-4.4.0-Linux-x86_64.sh' ]]; then
wget 'https://repo.continuum.io/archive/Anaconda3-4.4.0-Linux-x86_64.sh'
fi
if [[ ! -d "$HOME/install/anaconda3" ]]; then
bash Anacond... |
11f0adc909fd688638a817f8f3c36ff978d26154 | 1,536 | #!/bin/bash
# <info> Show this help screen
cat <<'__HEADER'
.-==[ Happy coding ]==--
|
| Welcome to the OpenXPKI development VM!
|
| OpenXPKI should now be running with a set of test certificates.
|
| The source code on your host is directly available in this VM via mount point
| /code-repo. You can either edit your f... |
0e7cea29ffe756888b612bd9c70baf88a6cd02b9 | 823 | #!/bin/bash
# Required params
if [ -z ${JPIP_DATA_DIR} ]; then
echo "JPIP_DATA_DIR environment must be defined"
exit 1
fi
# Defaulted params
if [ -z ${SOURCES} ] ; then
export SOURCES=25
fi
if [ -z ${CLIENTS} ] ; then
export CLIENTS=25
fi
if [ -z ${PORT} ] ; then
if [ -z {OSSIM_JPIP_SERVER_SERVICE_PORT... |
4b0e86898324c9670260fb7613b6beb094691c83 | 43 | #!/bin/bash
python3 -m django startapp $1
|
41a2b92db6ac8e078a6818837190f85607517745 | 42 | #!/bin/sh
docker start prometheus_grafana
|
69491ae6ef4f11fc89a5f49c55a2de3360c871bd | 67 | #!/usr/bin/env bash
grep -v '#' brew.txt | xargs -n1 brew install
|
fcb180f127e54c69c106bce92570d25b19bb80b4 | 1,033 | #!/bin/bash
read file
i=1
d=$(cat $file | wc -l)
b=$(($d+1))
while [ $i -lt $b ]; do
titulo1=$(cat $file | cut -d ':' -f1 | head -$i | tail -1)
artista1=$(cat $file | cut -d ':' -f2 | head -$i | tail -1)
ii=1
dd=$(cat musicas.txt | wc -l)
bb=$((dd+1))
templinefile=$(cat $file | head -$i | tail -1)
while [ $ii... |
8d2a65dae982508e89e5f1df4a6860fa9548bada | 529 | #!/bin/sh
# Author: Xiyan Wang, z5151289
# Test merge files with modification at the beginning or at the end of file
legit.pl init
seq 1 7 > a
legit.pl add a
legit.pl commit -m 0
legit.pl branch b1
seq 3 7 > a # Modified at the beginning
legit.pl commit -a -m 1
legit.pl checkout b1
seq 1 6 > a
se... |
4cc4b2c246937045e8a7d7ffa02282ec7531a11f | 1,282 | #!/bin/bash
storage_path="/opt/storage"
start() {
local proc_num="${1:-6}"
cd "${storage_path}"
echo -n "Start CStorage ... "
./CStorage > /dev/null 2>&1 &
sleep 1
if [ $(status) == ${proc_num} ];
then
echo '[OK]'
return 0
else
echo '[FAILED]'
return 2
... |
e2dc4b17e1acb01d5b0b5c80b89555ce8f16caff | 39 |
# version: 0.2.10-dev git-versioning
|
1c55386c8068f7f077c861654ccfc8ef33bae907 | 243 | #!/bin/bash
ls nepostojecadatoteka > /dev/null 2>&1
status=`echo $?`
echo "Izlazni kod je $status"
touch nepostojecadatoteka
ls nepostojecadatoteka > /dev/null 2>&1
status=`echo $?`
echo "Izlazni kod je sada $status"
rm nepostojecadatoteka
|
899717c00882bbfc7784487179d9abe2294fe8f4 | 113 | sudo nvidia-docker run -it --rm -p 8888:8888 -v `pwd`:/notebooks/src gcr.io/tensorflow/tensorflow:latest-gpu-py3
|
4bd5e5395c001267ff6034c05f7ade049d4c9952 | 159 | g++ main.cc -o main
if [ $? -ne 0 ]
then
echo 'Failed to compile!'
return 1
fi
./main > image.ppm
gimp \\\\wsl$\\Ubuntu-20.04$(readlink -f image.ppm) |
d25f92a0118d8526f6e2b72257ae53d9c56e796c | 84 | #!/bin/bash
vol=$(amixer get 'Master',0 | egrep -o '[0-9]{1,3}%')
echo "${vol%[%]}" |
92aae4fd9fc4845ed15b31c868de4e67a9c9c777 | 104 | #!/bin/sh
g++ precision_main.cpp precision_functions.cpp precision_functions_test.cpp -o quadprecision
|
fabba512a378569b383f210007ca05722c271346 | 2,407 | #! /bin/sh
# This script will download the required data from a google drive folder
# Install gdown
pip install gdown
# Install data
# Download data for assignment 2
cd assignment_2
mkdir data
cd data
printf "[INFO] Downloading data for assignment 2 ..."
gdown https://drive.google.com/uc?id=1A7Rlh76wJcQS5UbFgSbJLHy... |
55fc376eb4236cfe2ced1e58813360695920d3a1 | 1,336 | #!/usr/bin/env bash
ntuplesGeneralLocation="/mnt/hadoop/user/uscms01/pnfs/unl.edu/data4/cms/store/user/wtabb/DrellYan_13TeV_2016/v2p6/"
sampleShortName=(
DYJetsToLL
TT
TT_Backup
)
sampleName=(
DYLL_M50toInf # DYJetsToLL
ttbar # TT
ttbarBackup # TT_Backup
)
sampleSubdir=(
base ... |
ae4e502862df83a6da52284c6e47e23c463c71ed | 176 | #!/bin/bash
#
# Zadanie 41
# Mateusz Skowronek 225945
# 09.03.2018r. 11:15 TP
#
# prowadzฤ
cy: mgr inลผ. Szymon Datko
if [ -d $1 ]; then
find $1 -type d -empty -mtime +30
fi
|
717376b085c59dfdc05dd71daf334ccfef442d21 | 2,277 | # If not running interactively, don't do anything
#
[ -z "$PS1" ] && return
# Shell
SHELL_BASH=true
SHELL_ZSH=false
# OS
if [ "$(uname -s)" = "Darwin" ]; then
OS="OSX"
else
OS=$(uname -s)
fi
# Resolve DOTFILES_DIR (assuming ~/.dotfiles on distros without readlink and/or $BASH_SOURCE/$0)
READLINK=$(which ... |
481c653e491d6df7446b1a0a70f22a46c97cc81e | 147 | #!/bin/bash
set -e
make html
rm -fr /tmp/doc
rsync -av doc/gen/ /tmp/doc/
git checkout gh-pages
mv .git /tmp/doc/
rsync --delete -av /tmp/doc/ .
|
8e576fdeabc7d49bbdd8e5a72e6197ce96467be1 | 227 | #!/bin/bash
/home/flo/.nvm/versions/node/v6.3.0/bin/forever stopall
sudo rm /etc/nginx/sites-enabled/trellis-enabled
sudo ln -s /etc/nginx/sites-available/trellis-maintenance /etc/nginx/sites-enabled
sudo service nginx restart
|
6897c40e88bf27b181fc011d093a6296d2610496 | 313 | #!/bin/bash
#
source $VIRTUAL_ENV/bin/activate
mkdir tmp-lucene
pushd tmp-lucene
ROOT=$(dirname $0)
wget http://www.apache.org/dist/lucene/pylucene/pylucene-3.0.2-1-src.tar.gz
tar -xzf pylucene-3.0.2-1-src.tar.gz
pushd pylucene-3.0.2-1
cp ../../$ROOT/Makefile .
make
make install
popd
popd
rm -rf tmp-lucene |
0a419e5d552cbe7feb578fdd7291fd5a13baac8a | 373 | #!/bin/sh
MKD=
DST=
CMD="$(which -a install | sed -n 2p)"
[ "$CMD" ] || {
echo "Real install not found!" >&2
exit 1
}
for arg; do
case "$arg" in
-D) MKD=1; arg= ;;
-*D*) MKD=1; arg="${arg%%D*}${arg##-*D}";;
*/*) DST="$arg";;
esac
shift 1
[ "$arg" ] && set -- "$@" "$arg"
done
[ "$MKD" ] && [ "$DST" ] &&... |
8e459181418eb1bfd5106ad64d0134cb92a2228d | 482 | #!/bin/bash
set -e
DEFAULT_PPA_ID=shuhao/fixed
project=$1
ppa_id=$2
if [ -z $project ]; then
>&2 echo "usage: ./release-to-ppa.sh project [ppa_id]"
exit 1
fi
if [ -z $ppa_id ]; then
ppa_id=$DEFAULT_PPA_ID
fi
source setup-build.sh $project
pushd $project_build_dir >/dev/null
tar czf ${project_version}.ori... |
94536b81aff1e8b282052e332d3601984d680598 | 686 | #!/bin/bash
#$ -cwd
#$ -V
#$ -N subsetCEU
#$ -l h_data=2G,time=24:00:00
#$ -M eplau
#$ -m ea
#$ -t 1-22:1
. /u/local/Modules/default/init/modules.sh
module load perl
export PERL5LIB=$PERL5LIB:/u/project/klohmuel/tanya_data/softwares/vcftools_perl/src/perl/
chrNum=${SGE_TASK_ID}
vcf='/u/project/klohmuel/1000genomes/v... |
b8a62adf3938619ab0fcdbd115e2afac7e588b12 | 322 | ###> symfony/framework-bundle ###
APP_ENV=dev
APP_SECRET=27d2fd96e22b1e6732dba80ddcd541e0
###< symfony/framework-bundle ###
###> doctrine/doctrine-bundle ###
DATABASE_URL="mysql://students_grades_api_user:students_grades_api_password@database:3306/students_grades_api?serverVersion=5.7"
###< doctrine/doctrine-bundle ##... |
68cf27318dfee43bad79f68a2f23889930e03129 | 133 | #! /usr/bin/env bash
# shellcheck disable=SC1090
git rebase --interactive "$(. "$DOTFILES"/utilities/git/functions/prefer_main.sh)"
|
f1331be6628f7e7b820918da3b9835b772ace88c | 150 | gnome-terminal --tab --active -- bash -c "mongod --dbpath /var/lib/mongo --logpath /var/log/mongodb/mongod.log --fork; code .; npm run dev; exec bash" |
19a88f55e19e318e8e2ea7008d182226424801e3 | 147 | #!/bin/bash
#
# Updates the shooter controller.
./python/shooter.py shooter/shooter_data.csv shooter/ShooterGains.java shooter/ShooterGains2.java
|
12f65562013d7ff798783865bd2e613ea2ab06b7 | 109 | # LDAP ADMIN WEB UI ENV
# osixia/phpldapadmin
PHPLDAPADMIN_LDAP_HOSTS=ldap-server
PHPLDAPADMIN_HTTPS="false"
|
3864f43b4fd27187bb5bbb66a684a070a568532b | 77 | API_URL = "https://newsapi.org/"
API_KEY = "b02ed6d3130f475e81da9f518e594461" |
ca98f98c8974d2d4388ea56996d58bf28bf0abff | 3,648 | #!/bin/bash
# Funcao : Limpa os acessos avulsos do dia corrente
#
# Agende para 23:59hrs, acrescente ao crontab
# 59 23 * * * /home/administrador/scripts/squid_limpar_usuarios_avulso.sh
# Variaveis importantes para este script
. /home/administrador/menu/mainmenu.var
# Funcoes importantes para este script
. /home/ad... |
63063d6f16b5116b626a710d8d5624896459a4c3 | 529 | #!/bin/bash
# Bash strict mode
set -euvo pipefail
# Install deps
sudo apt-get -y install \
apt-transport-https \
ca-certificates \
curl \
software-properties-common
# Get the bazel gpg key and trust it
curl https://bazel.build/bazel-release.pub.gpg | sudo apt-key add -
# Add bazel repo
sudo add-apt... |
256bc81858b2ced01d482f171731269bbefcba6e | 434 | #!/bin/sh
# ่ฏฅ่ๆฌ้่ฆๆพๅจ้กน็ฎ็ฎๅฝไธ๏ผๅณ/server_comm/logsplit.sh๏ผ่ไธๆฏๆ น็ฎๅฝ
cd /root/server_comm
logfold="logfold"
if [ ! -d "$logfold" ]; then
mkdir "./$logfold"
fi
folder=`date +"%Y-%m"`
if [ ! -d "./$logfold/$folder" ]; then
mkdir "./$logfold/$folder"
fi
yesterday=`date -d "1 day ago" +"%Y%m%d"`
logfilename="log_$yesterday"
c... |
2e6fd03754a033312fc98ee89bb4bb371941c511 | 854 | #! /bin/bash
inctime=/stornext/home/carlos.bastarz/bin/inctime
datai=20180801
dataf=20180930
#dataf=20180802
#wrfout_d01_2018-08-24_23:00:00
data=${datai}
while [ ${data} -le ${dataf} ]
do
dataday=` echo ${data} |cut -c7-8`
datamonth=` echo ${data} |cut -c5-6`
#echo "${dataday}"
for i in $(seq -w 0 3 23)
... |
dfb68b437eae850c014fe9242a7fe1479b867d31 | 3,937 | #!/bin/bash
function harmony_function() {
function join_by {
local IFS="$1";
shift;
echo "$*";
}
function make_id() {
ID=()
LETTERS=(1 2 3 4 5 6 7 8 9 0 a b c d e f g)
for _ in $(seq 1 32); do
INDEX=$((RANDOM % 16))
ID+=("${LETTERS[IN... |
4f863c6bfac8e2f1675377061095047d2c43e8ec | 517 | #!/bin/bash
webtorrent download "magnet:?xt=urn:btih:99354a95d802232a8c7de98aaed417549d5de675&dn=2021-01-Decentralized+Cash+Improvement+Proposals+Naming.md&tr=wss%3A%2F%2Ftracker.btorrent.xyz&tr=wss%3A%2F%2Ftracker.openwebtorrent.com&tr=udp%3A%2F%2Ftracker.leechers-paradise.org%3A6969&tr=udp%3A%2F%2Ftracker.coppersurfe... |
b414bbb13aa9ccb2cf1884133ae5e41848624364 | 85 | #!/bin/bash
sudo rm -rf /usr/local/include/netpp
sudo rm /usr/local/lib/libnetpp.so
|
94a0b6272c5a78965b9e56e80510adba4b883312 | 320 | #!/bin/bash
python3 -m cat_tensorflow.eval \
--data_processor_number 12 \
--data_queue_number 32 \
--batch_size 12 \
--GPU_settings "0,1" \
--start_checkpoint /tmp/crf_exp/model/model.ckpt-23.index \
--audio_scp ./data/wav.escp \
--save_logit_dir ./exp/logit/data \
--logit_scp ./exp/logit/logit.scp \
|
eb186b7d5608764549d81fd62bdafd89f875c1ef | 215 | #! /bin/bash
SCREEN_ID="screen0"
MONITOR_ID="monitor0"
wallpaper_image_path="${1}"
xfconf-query --channel "xfce4-desktop" --property "/backdrop/${SCREEN_ID}/${MONITOR_ID}/image-path" --set "${wallpaper_image_path}"
|
bf7a8590a05ebd79aebba82e9482f1e63fed39cc | 42 | #!/bin/bash
gcc -S $CFILE |gcc -c main.s
|
c8f73b1d73e49745fdffe316a62f6bbfab7251f5 | 5,963 | #!/bin/bash
#Utils
apt-get update -y
apt-get upgrade -y
apt-get install -y unzip jq nginx
# Fix for Nginx PID problem in Ubuntu 16.04 in an EC2 instance
systemctl stop nginx
mkdir /etc/systemd/system/nginx.service.d
printf "[Service]\nExecStartPost=/bin/sleep 0.1\n" > /etc/systemd/system/nginx.service.d/override.conf... |
530947350524d371c20ba54d8995f0e6e196db13 | 269 | # pip should only run if there is a virtualenv currently activated
export PIP_REQUIRE_VIRTUALENV=true
# cache pip-installed packages to avoid re-downloading
export PIP_DOWNLOAD_CACHE=$HOME/.pip/cache
export PATH="$PATH:$HOME/.rvm/bin" # Add RVM to PATH for scripting
|
584de47a3ff7110cfd0e9868256eaf795485efe6 | 433 | #!/usr/bin/env bash
#[1, 0.1, 0.01, 0.001, 0.0001]
tmux new-session -d -s "sepsis-1_0-3" bash ~/cwcf/bin/drl.sh sepsis 1.0 3
tmux new-session -d -s "sepsis-0_1-4" bash ~/cwcf/bin/drl.sh sepsis 0.1 4
tmux new-session -d -s "sepsis-0_01-5" bash ~/cwcf/bin/drl.sh sepsis 0.01 5
tmux new-session -d -s "sepsis-0_001-6" bash... |
883187f841fc982acfc97d392c03b3c891ea34d4 | 314 | #!/usr/bin/sh
cp graphviz.changes graphviz-addons.changes
sed \
-e 's:%bcond_with extras:%bcond_without extras:' \
-e 's#Name: graphviz#Name: graphviz-addons#' \
-e 's#spec file for package graphviz#spec file for package graphviz-addons#' \
graphviz.spec > graphviz-addons.spec
|
bc97bf0de9a6faa2683ee2366bcb09b013083870 | 280 | #!/bin/bash
# Nota- Este script esta hecho para enviar SMS
# directamente desde bash a un modem 3g conectado en un Linux i previamente configurado.
# No esta acabado.
echo 'AT+CMGF=1\r' > /dev/ttyUSB2
echo 'AT+CMGS="+34TELEFONO"\r' > /dev/ttyUSB2
echo $2'\032' > /dev/ttyUSB2
|
e7b2bdbf8e7a5474ead33ec40db4aea6bc514699 | 6,692 | #!/bin/bash
#
# SHOKUJI_JISSEKI_GEKKAN.SEARCH
# ้ฃไบๅฎ็ธพๆค็ดข
#
# Written by E.Okuda : 2013/11/25
#--------------------------------------------------------------
# ใญใฐ
exec 2> /home/hands/E-LIFE/SHOKUJI/APLOG/LOG.$(basename ${0}).${HOSTNAME}.$(date "+%Y%m%d"); set -xv
# ่จญๅฎใใกใคใซ่ชญ่พผ
source /home/hands/E-LIFE/SHOKUJI/CGI/SHOKUJI... |
35653b38b6437bffd306715a73174a244d15ce04 | 1,030 | #!/usr/bin/env bash
############################
#npm instal
############################
cd /www/site/com.lab/qmx
npm install --unsafe-perm
npm run prod
############################
#openrestyๅuwsgi็ธๅ
ณ
############################
#็ฏๅขๅฏๅจ็จๅบ
openresty -t;
service openresty start;
############################
# pip inst... |
b2fa332666bd209c0a64a70e8852ca4331c2777e | 2,362 |
1. ้
็ฝฎ็ฝๅก
# Use em7 on s03&s05 + em1 on S01&s02 as a GRE physical network path #
# IP: s01_em1:192.168.4.1/24 s02_em1:192.168.4.2/24 s03_em7:192.168.4.3/24 s05_em7: 192.168.4.5/24
ifconfig em1
ifconfig em7
# add IP address for em1 on s01/s02
vim /etc/network/interfaces
# on S01
#This NIC is used for MyLAB GRE tunn... |
e5c0c02100455d8e09efb7e246bb490cb77cecaf | 528 | #!/bin/sh
# you have to provide an environment variable with the icecat password via `export ICECATPWD=fooBar` and the same for
# your IceCat username as `export ICECATUSER=fooBar`
mkdir ../downloaded
curl -u $ICECATUSER:$ICECATPWD -o ../downloaded/daily.export_urls_rich.txt.gz http://data.icecat.biz/export/freeurls... |
5e517de0fcb1aac1d3fba6dc3547a7e2bbcce4c4 | 3,222 | python get_activation_patterns.py -b --input ./model_dir/CIFAR100-rgb/dnn_CIFAR100-rgb_100-100-100_0.0002_0005/weights.dat --formulation network --time_limit 10800 --dataset CIFAR100-rgb --preprocess_all_samples
python get_activation_patterns.py -b --input ./model_dir/CIFAR100-rgb/dnn_CIFAR100-rgb_100-100-100-100_0.0_0... |
bfa93793c1fa364b47219c808dfbc0156546a25a | 441 | cd $(dirname $0)
if [ -n "$(which tput)" ]; then
green="`tput sgr0; tput setaf 2`"
GREEN="`tput setaf 2; tput bold`"
RED="`tput setaf 1; tput bold`"
colors_reset="`tput sgr0`"
fi
passed="${GREEN}# OK"
for f in ./test*.ss ; do
{ echo "$green# $f $colors_reset" && $f && echo -e "$passed"; } || { echo -e "$... |
7c8bb5625b88e821514cce02da75b9bb0841c2e5 | 132 | for x in mg nano; do
if which "$x" >/dev/null 2>&1; then
export EDITOR="$x"
export ALTERNATE_EDITOR="$EDITOR"
break
fi
done
|
e6611c8dee831c2ae7859d79d4c2eb8f8b6376d6 | 466 | #!/bin/bash
python3 inverse_maf_best.py inverse_maf arc
python3 inverse_maf_best.py inverse_maf bimodal_l
python3 inverse_maf_best.py inverse_maf binomial
python3 inverse_maf_best.py inverse_maf potential_1
python3 inverse_maf_best.py inverse_maf potential_2
python3 inverse_maf_best.py inverse_maf potential_3
python3 ... |
54e5579e97710d178629acb3a33d3054a8865136 | 2,546 | #!/usr/bin/env bash
# Input Parameters
# $1 - Lane number
# $2 - Sample Name (no spaces, punctuation, etc)
# $3 - ID (I just used lane number again)
# $4 - Directory containing sequence files to align
# Output
# Sorted, indexed BAM file.
# File has had rmdup run on it to remove duplicates
# WARNING: refFa needs to ... |
b0034273c3df66d4e37ebeb076b336e9dfaa5aa6 | 110 | umount p10 # just in case
if
mkfs -t $1 /dev/sda10
then
mount /dev/sda10 p10
else
echo failed to format
fi
|
a5e00f37dbfb6832be30192c3fe437e8898dbe39 | 62 | #!/bin/sh
echo What is your name?
read name
echo Hi, $name
|
44ab5c6e653c4274dee56ee5a0e4f75ab458d150 | 6,885 | #!/bin/bash
#
# Copyright (c) 2014, Magnus Skjegstad <magnus@skjegstad.com>
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PRO... |
36ecb968eb1392c6f9e6d93780b29bf524bc113b | 1,765 | #!/bin/bash
#
# WindowMaster control script
#
# gpio -x mcp23s17:100:0:0 mode 100 out
# gpio -x mcp23s17:100:0:0 write 100 1
# gpio -x mcp23s17:100:0:0 mode 108 in
# gpio -x mcp23s17:100:0:0 mode 108 up
# using pin 28 and pin 29
#
if [ -z "$1" ]; then
echo "Provide a URL "
exit 1
fi
#
gpio -x mcp23s17:100:0:0 mode... |
0c99f6b59f9c3b2c1ae6a1aee5f4ee27808fb900 | 346 | #!/bin/bash
ip addr add 200.6.252.66/26 dev eth0
ip link set dev eth0 up
ip addr add 200.6.252.129/26 dev eth1
ip link set dev eth1 up
echo 1 > /proc/sys/net/ipv4/ip_forward
# Partie Routage STATIQUE
#ip route add 200.6.252.192/26 via 200.6.252.130
#ip route add 200.6.252.0/26 via 200.6.252.65
#ip route add 192.168.148... |
c5e66cf7eaf918f92d7947233aa44ca4ddb116dd | 420 | #!/bin/bash
LOG_trn="/etc/zabbix/scripts/php-fpm/log_trn"
LOG_osvita="/etc/zabbix/scripts/php-fpm/log_osvita"
LOG_vse10="/etc/zabbix/scripts/php-fpm/log_vse10"
curl -s https://www.trn.ua/status > $LOG_trn
curl -s https://www.education.ua/status > $LOG_osvita
curl -s https://vse10.com.ua/status > $LOG_vse10
SCRIPT_NA... |
353224245463976c05c0bc5ab71a956a38253406 | 2,475 | #!/usr/bin/bash
# Copyright (C) 2015-2017 Eric Vidal <eric@obarun.org>
#
# This file is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.
#
# This scripts is under License Beerware.
#
# "THE BEERWARE LI... |
88243f8c849297efdeafe23153df1c6063fa821f | 3,053 | #!/bin/sh
##### !!! THIS SCRIPT MUST BE OVERRIDEN IN OS-DEPENDENT IMPLEMENTATION !!! #####
OsGrowSlashFsUfsUsedSize(){
local PART="$1"
gpart show $PART | grep 'freebsd-ufs' | awk '{print $5}' | grep G | sed 's/[^0-9\.]*//g'
}
OsGrowSlashFsUfsFreeSize(){
local PART="$1"
echo `gpart show $PART | grep ' free -' | a... |
7459d03810e98c01c8c8add3612fdf34ae4831c0 | 180 | #!/bin/bash
openssl req -x509 -newkey rsa:2048 -days 365 -nodes -keyout null.key -out null.crt -subj "/C=MR/ST=maroc/L=null/O=1337/OU=1337/CN=1337/emailAddress=saadllah@null.com"
|
c9d009997bec540f39a5a11b72483a6d132f8573 | 665 | #!/bin/env bash
#
#
USERNAME="apiaccess"
PASSWORD="mjT8_hw2wV3s:Xm"
# default org if only one org
ORGANIZATION="Root"
ENDPOINTS="192.168.2.111:14000,192.168.2.112:14000,192.168.2.113:14000"
SCHEME="http"
USERB64=`echo -n "${USERNAME}" | base64`
PWDB64=`echo -n "${PASSWORD}" | base64`
ORGB64=`echo -n "${ORGANIZATION}"... |
f38c33d1b149ed7bdaec75621d7b02070c71dc36 | 7,242 | #!/bin/env zsh
PURPOSE="EXAMPLE Zsh task"
VERSION="***"
DATE="***"
AUTHOR="***"
#
# Don't change these assignments - they are very important to the functioning
# of tasks, and they must be made at the toplevel of this script.
# PROGNAME captures the value of $0 right here since it varies depending upon
# which fu... |
eadad804186c64b2f672e4d2d10c217e554a3c24 | 1,532 | #!/bin/bash
# https://wiki.kldp.org/HOWTO/html/Adv-Bash-Scr-HOWTO/x10307.html
# 16.1. exec ์ฐ๊ธฐ
# exec <filename ๋ช
๋ น์ด๋ ํ์ค์
๋ ฅ์ ํ์ผ๋ก ์ฌ์งํฅ ์์ผ์ค๋๋ค. ์ด๋๋ถํฐ๋, ์ฃผ๋ก ํค๋ณด๋์์ ๋ฐ๋ ๋ชจ๋ ํ์ค์
๋ ฅ์ด ๊ทธ ํ์ผ์์ ๋ค์ด ์ค๊ฒ ๋ฉ๋๋ค.
# ์ด๋ ๊ฒ ํ๋ฉด ํ์ผ์ ์ค ๋จ์๋ก ์ฝ์ ์๊ฐ ์๊ฒ ๋๊ณ sed๋ awk๋ฅผ ์ด์ฉํด์ ์
๋ ฅ๋๋ ๊ฐ ์ค์ ํ์ฑํ ์ ์๊ฒ ๋ฉ๋๋ค.
#
# ์ 16-1. exec์ผ๋ก ํ์ค์
๋ ฅ์ ์ฌ์งํฅ ํ๊ธฐ
# 'exec'๋ก ํ์ค์
๋ ฅ ์ฌ์งํฅ ํ๊ธฐ.
exec... |
cb9f85b664bff1755e63057a8db8ecfc7f0cd4aa | 90 | REACT_APP_SERVER_URL=http://localhost:5000
REACT_APP_GAME_SERVER_URL=http://localhost:4000 |
e881ad2de0ff625155e70fbe0b420acae3a1ffc9 | 441 | # !/bin/zsh
# if test ! $(which poetry)
# then
# echo installing poetry
# curl -sSL https://raw.githubusercontent.com/python-poetry/poetry/master/get-poetry.py | python -
# else
# echo 'poetry already installed!'
# fi
# python-based tools I use regularly
# might be able to replace black w/ ruff
pipx install b... |
6c101fcc5b51b60c7ccfbe2028d3a5ad88145719 | 622 | export PATH="/usr/local/bin:/usr/bin:/cygdrive/c/Windows/system32:/cygdrive/c/Windows:/cygdrive/c/Windows/System32/Wbem:/cygdrive/c/Windows/System32/WindowsPowerShell/v1.0:/cygdrive/c/Program Files (x86)/MacType:/cygdrive/c/Program Files/nodejs:/cygdrive/c/Program Files/Microsoft SQL Server/110/Tools/Binn:/cygdrive/c/P... |
b0d11252e87ab95a36b3aeb4e71b49e9dfde52e7 | 124 | #!/usr/bin/env bash
set -e
while true; do
cat merge-session-status.sql | bq query --use_legacy_sql=false
sleep 15
done |
f27692efe70eb73219d8efa7d25fb2da81f825d5 | 1,330 | #!/bin/bash
# Write a script which monitors the modifications made to the /etc/crontab file
# and sends an e-mail to root if the file is modified. Create a scheduled task to
# run this script everyday at midnight.
# apt install git
# Install mailutils using "apt-get install mailutils"
# s2 hash sum before modified ... |
5f7cf6485c9d8192ae6235c1a7702379ea3f1d37 | 447 | #! /bin/bash
$Author: ee364f07 $
$Revision: 99196 $
$Id: sensor_sum.sh 99196 2017-01-16 00:23:11Z ee364f07 $
#input validation
if (( $# != 1 ))
then
echo "usage: sensor_sum.sh log"
exit
fi
#check if log is readable
if [[ ! -r $1 ]]
then
echo "error: $1 is not a readable file!"
exit
fi
#read file line by line
wh... |
317f7758d2bc866ba6332a0275f289d8073b4cbc | 138 | #!/bin/bash
for f in "$@"
do
b=${f//[^A-Za-z0-9.-_\/]/-}
c=${b//----/-}
d=${c//---/-}
e=${d//--/-}
mv "$f" "$e"
done
|
440c757735a26e2250050f32e21e047d739386ff | 57 | #!/bin/sh
ffmpeg -i "$1" -i "$2" -c:v copy -c:a copy "$3" |
0f40ad42048e7315fb8487c0a3f54b8e7510cc13 | 636 | #!/bin/bash
###############################################################################
# author: BrentHuang (guang11cheng@qq.com)
###############################################################################
SCRIPT_PATH=$(cd `dirname $0`; pwd)
. ${SCRIPT_PATH}/common.sh
echo "build astyle..."
cd ${ASTYLE_SR... |
29c246919ac83385dca1a4eb616693eb6dbfeeb8 | 33 | #go mod tidy
#go get
go run -v .
|
abe871bb4593af5e60b7c374185dda799b8d1e3e | 3,004 | #!/bin/sh
echo "OpenCV installation by learnOpenCV.com"
#Specify OpenCV version
cvVersion="master"
# Clean build directories
rm -rf opencv/build
rm -rf opencv_contrib/build
# Create directory for installation
mkdir installation
mkdir installation/OpenCV-"$cvVersion"
# Save current working directory
cwd=$(pwd)
apt ... |
d4e16d96476c8348bbf4e5227906bf39bafd7209 | 2,013 | #!/bin/bash
# Tomas Vitvar, tomas@vitvar.com
# this script directory
getSensorData_bin=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
# check umc was configured
if [ ! -d $umcRoot ]; then
echo >&2 "umc was not initialized!"
exit 1
fi
# configuration directory
configDir="$umcRoot/etc/tools/oradb"
args=("$@")
... |
c4f9e36d4358edcaec75694dc2485788b5a3d430 | 3,462 | # Contributor: Alessio Sergi <asergi at archlinux dot us>
# Maintainer: twa022 <twa022 at gmail dot com>
_pkgname=awn-extras-applets
pkgname=${_pkgname}-bzr
pkgver=1542
pkgrel=2
pkgdesc="A collection of applets for avant-window-navigator"
arch=('i686' 'x86_64')
url="https://launchpad.net/awn-extras"
license=('GPL2' 'L... |
8524641168da1d17ba3436986dccd52078f4f775 | 1,032 | #!/bin/bash
rm -rf build && mkdir build && cd build
DEMO_NAME=model_test
LIB_DIR=/home/li/repo/Paddle/build_c5a6ae4/paddle_inference_install_dir
#LIB_DIR=/home/lidanqing/Paddle-Inference-Demo/c++/x86_gru_int8/paddle_inference
cmake .. -DPADDLE_LIB=${LIB_DIR} -DDEMO_NAME=${DEMO_NAME} && make -j
#MODEL_DIR=/home/lida... |
60837a086a95b6c4615df7b08760c9f2b9d901ea | 657 | #!/bin/bash -e
if rospack list | grep "ex07_launch_file";then
echo "package found"
else
echo "package not found"
exit 1
fi
roslaunch goal_publisher goal_publisher.launch&
pid=$!
sleep 5
timeout 5 roslaunch ex07_launch_file goalPrint.launch > output
kill -s TERM $pid
wait $pid
regex="\s*[-+]?(... |
938e4618a0a2d5d965b91ab6cd720d2e5f3138f7 | 47 | #!/bin/bash
gnuplot -p -e 'plot "/dev/stdin"'
|
bba6156144f020f426f53a48f5eb82d9a0385dea | 389 | #!/bin/bash
images=(k8s-dns-dnsmasq-nanny-amd64:1.14.4 k8s-dns-kube-dns-amd64:1.14.4 k8s-dns-sidecar-amd64:1.14.4)
for imageName in ${images[@]} ; do
# printf "%s\n" $imageName
#docker pull llx2wyf/$imageName
#docker tag llx2wyf/$imageName gcr.io/google_containers/$imageName
#docker rmi llx2wyf/$imageName
do... |
7d7ae1aede97434d05a872b6e44ee01615513d24 | 448 | #!/bin/bash
for ((i=0; i<=10; i++)) do
echo "https://api.github.com/repos/postgres/postgres/commits?page=$i"
echo "
\set record \`curl \"https://api.github.com/repos/postgres/postgres/commits?page=$i\"\`
with _commits as (
select d->>'sha' as id, d - 'sha' as doc
from jsonb_array_e... |
643b0e05ede7af2f2393c5656afe41548cf93f0e | 1,613 | #!/bin/bash
#SBATCH -t 3:00:00
#SBATCH -n 24
#SBATCH -p normal
# setting temporary directory
mkdir -p ~/qiime_tmp
export TMPDIR=~/qiime_tmp
# loading modules
module load eb
module load Miniconda2
# loading virtual environment
source deactivate
source activate qiime1
# checking mapping file for errors
echo "validate... |
b30b5ac8048eea429c6abfceef9ce0f813a52fd1 | 63 | #!/bin/bash
. fun.sh
for (( j=0; $j<5; j++)) ; do
wypisz
done
|
da2f92f561479b55d19dbfc0751081eeaf9aed2f | 118 | lib.Process.kill() {
[ $# -eq 0 ] && return 1;
if lib isANumber "$1"; then
kill -9 "$1";
else
pkill "$1";
fi
} |
db46d5bfe52107b637d4a9c7de1e77f1a191d4e3 | 72 | #!/bin/bash
clang -O3 -DNDEBUG -lm ./$1 -o /tmp/$1.temp && /tmp/$1.temp |
02b6a78eba9edd833fa41c4c62b94a56d0f8d37f | 386 | ###
#
# vim: syntax=sh
# $Id: vars.Darwin 370 2008-03-07 03:32:38Z luke $
MANPATH=$MANPATH:/usr/share/man
PSARGS='auxwww'
if [ -d /Users/sw/bin ]; then
base=/Users/sw
elif [ -d /sw/bin ]; then
base=/sw
elif [ -d /opt/local/bin ]; then
base=/opt/local
fi
PATH=$base/bin:$base/sbin:$PATH:/usr/X11R6/bin
MANP... |
e1e22ca94f2dd06f8af02b335bad5e076f844d3d | 1,011 | #!/bin/sh
source /opt/etc/network/config
echo -n "Network: "
# Configure static network configuraton if selected
[ "x$NETWORK" != "xstatic" ] && {
echo "DHCP"
echo "To change your network configuration, edit /opt/etc/network/config."
} || {
echo ""
# Discover ethernet service/adapter name
ETH0=`... |
b4526c85638cab8f6c9a2960723787ca364a1707 | 187 | #!/bin/zsh
for f in *all_fit.pdb;
do
echo "$f"
python ~/repos/bioscripts/homology_modeling/model_evaluation/new_pl/model_distance.py -m $f -n 100 -p1 17 2896 -p2 8172 11051
done
|
d5635a631d0d55409a1af12ae169d3b3070f05d8 | 678 | #!/bin/bash
cat /etc/passwd | grep -v 'syslog' | grep /home/ | awk '{split($0,a,":"); print a[1]":"a[6]}' > /tmp/ListOfUsers.ice
for reg in $(cat /tmp/ListOfUsers.ice); do
user=$(echo $reg | cut -d ":" -f 1);
folder=$(echo $reg | cut -d ":" -f 2);
echo "Freezing user "$user
cd $folder
find . | grep -v "$(cat ... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.